### Method

# GUPnP ServiceAction get_gvalue

#### Declaration [src]

    GValue*
    gupnp_service_action_get_gvalue (
      GUPnPServiceAction* action,
      const char* argument,
      GType type
    )

#### Description [src]

Retrieves the value of `argument` into a GValue of type `type` and returns it. The method exists only and only to satify PyGI, please use `gupnp_service_action_get_value()` and ignore this if possible.

Available since: | 0.14.0
This method is renamed to `gupnp_service_action_get_value()` in language bindings

#### Parameters

`argument` | `const char*`
| The name of the argument to retrieve.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`type` | `GType`
| The type of argument to retrieve.

#### Return value

Returns: | `GValue`
| Value as `GValue` associated with `action`. `g_value_unset()` and `g_slice_free()` it after usage.
| The caller of the method takes ownership of the data, and is responsible for freeing it.